<?php
$Permissoes = User::getUser(true);
if(!$Permissoes){
    User::blockAction("Você não tem permissão para acessar esta tela");
}
class AtasEdicaoController extends GxController {

    var $help = 'Esta é a ajuda';

    public function actionView($id) {
        $this->render('view', array(
            'model' => $this->loadModel($id, 'AtasEdicao'),
        ));
    }

    public function actionCreate() {
        $model = new AtasEdicao;


        if (isset($_POST['AtasEdicao'])) {
            $model->setAttributes($_POST['AtasEdicao']);

            if ($model->save()) {
                if (Yii::app()->getRequest()->getIsAjaxRequest())
                    Yii::app()->end();
                else
                    $this->redirect(array('view', 'id' => $model->ATE_IDEDICAO));
            }
        }

        $this->render('create', array('model' => $model));
    }

    public function actionUpdate($id) {
        $model = $this->loadModel($id, 'AtasEdicao');


        if (isset($_POST['AtasEdicao'])) {
            $model->setAttributes($_POST['AtasEdicao']);

            if ($model->save()) {
                $this->redirect(array('view', 'id' => $model->ATE_IDEDICAO));
            }
        }

        $this->render('update', array(
            'model' => $model,
        ));
    }

    public function actionDelete($id) {
        if (Yii::app()->getRequest()->getIsPostRequest()) {
            $this->loadModel($id, 'AtasEdicao')->delete();

            if (!Yii::app()->getRequest()->getIsAjaxRequest())
                $this->redirect(array('admin'));
        } else
            throw new CHttpException(400, 'Sua solicitação é inválida.');
    }

    public function actionAdmin() {
        $model = new AtasEdicao('search');
        $model->unsetAttributes();

        if (isset($_GET['AtasEdicao']))
            $model->setAttributes($_GET['AtasEdicao']);

        $this->render('admin', array(
            'model' => $model,
        ));
    }

}